// krug.h - Klasa krugova u ravni.

#ifndef _krug_h_
#define _krug_h_

#include "figura.h"

const Real PI = 3.1415926535897932;

class Krug: public Figura {
  Real r;                                  // Poluprecnik.
public:
  Krug (Real rr=1, const Tacka& tt=ORG)    // Konstruktor.
    : Figura (tt) { r = rr; }
  Real O () const { return 2 * r * PI; }   // Obim.
  Real P () const { return r * r * PI; }   // Povrsina.
private:
  void citaj (istream& d)                  // Citanje.
    { Figura::citaj (d); d >> r ; }
  void pisi  (ostream& d) const {          // Pisanje.
    d << "krug    ["; Figura::pisi (d);
    d << ", r=" << r << ", O=" << O() << ", P=" << P() << ']';
  }
};

#endif
