/*
 CMD_LINE odredjuje da li koristimo parametre komandne linije ili ne
 
 definise se u kodu, sa #define IME, ili u podesavanjima, dodavanjem IME 
 razdefinise se u kodu, sa #undef IME, ili u podesavanjima, uklanjanjem IME

 u Visual Studio 6.0 se ide na Project->Settings (Alt+F7)
 tu se izabere se projekat koji se zeli podesavati, a zatim
 - za argumente komandne linije: kartica Debug, kontrola Program arguments
*/

#include "akcije.h"

//ukoliko zelimo sledecom linijom mozemo da definisemo CMD_LINE iskljucivanjem komentara
//#define CMD_LINE

#ifdef CMD_LINE
/*
 ako koristimo argumente komandne linije, 
 treba nam atoi() da pretvorimo string iz komandne linije u broj;
 zato nam treba zaglavlje <stdlib.h>
*/
#include <stdlib.h>
int main(int argc, char *argv[])

#else
/*
 ako ne koristimo argumente komandne linije,
 ne treba nam atoi, a funkcija main() ima "obicno" zaglavlje
*/
int main()

#endif
{
	int x, y, rezultat;


/* ifndef radi suprotno od ifdef */
#ifndef CMD_LINE
/* citamo ili sa glavnog ulaza... */
	ucitaj(&x);
	ucitaj(&y);
#else
/* ... ili koristimo parametre komandne linije */
	if (argc < 3) exit(EXIT_FAILURE);
/* ako ima makar tri argumenta (ime programa + 2 broja) radimo dalje */
	x = atoi(argv[1]);
	y = atoi(argv[2]);
#endif

/* ukoliko je u projektu pretprocesoru definisan identifikator _MNOZENJE_
   program ce prevesti i deo gde se poziva funkcija pomnozi,
   u suprotnom prevesce se samo deo koda koji poziva funkciju saberi i 
   krajnji rezultat koji se ispisuje na standardni izlaz bice zbir promenljivih x i y.
*/
	rezultat = saberi(x,y);

#ifdef _MNOZENJE_
	pomnozi(y, rezultat, &rezultat);
#endif

	ispisi(rezultat);

	return 0;
}
